Skip to main content
GET
/
api
/
v2
/
ramps
Query Ramps
curl --request GET \
  --url https://sandbox.killb.app/api/v2/ramps \
  --header 'Authorization: Bearer <token>'
{
  "ramps": [
    {
      "id": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
      "active": true,
      "fromCurrency": "COP",
      "toCurrency": "USDC",
      "fromAmount": 8000,
      "toAmount": 2.5,
      "quotationId": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
      "userId": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
      "cashInMethod": "PSE",
      "cashOutMethod": "POLYGON",
      "accountId": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
      "status": "CREATED",
      "type": "ON",
      "createdAt": "2026-04-23T00:38:08.439Z",
      "updatedAt": "2026-04-23T00:38:08.439Z",
      "accounts": [
        {
          "id": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
          "amount": 8000
        }
      ],
      "isPreFunded": false,
      "paymentInfo": [
        {
          "network": "SPEI",
          "Bank": "BBVA Mexico",
          "Beneficiary": "KillB Fintech SA de CV",
          "CLABE": "032180000118359719",
          "concepto": "KILLB-REF-00123"
        }
      ],
      "details": "Insufficient funds",
      "transferProof": "0xabc123def456abc123def456abc123def456abc123def456abc123def456abc1",
      "externalId": "my-external-ref-001",
      "isFastPay": false,
      "documents": [
        {
          "documentType": "SOURCE_OF_FUNDS",
          "filePath": "ramps/e8d74b2f-86df-43b0-a9d9-72055a6b0432/SOURCE_OF_FUNDS.pdf",
          "uploadedAt": "2026-04-23T00:38:08.439Z"
        }
      ]
    }
  ],
  "totalPage": 5
}

Documentation Index

Fetch the complete documentation index at: https://docs.killb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

limit
number
Example:

10

page
number
Example:

1

id
string
Example:

"e8d74b2f-86df-43b0-a9d9-72055a6b0432"

externalId
string

A unique identifier used to identify your existing user.

Example:

"my-external-ref-001"

status
string
Example:

"COMPLETED"

Response

ramps
object[]
required
totalPage
number
required
Example:

5